footnoteref
Prev | DocBook Element Reference | Next

This is an alpha version of this book.

# footnoteref

footnoteref — A cross reference to a footnote (a footnote mark)

## Synopsis

### Content Model

    footnoteref ::=
    EMPTY

### Attributes

Common attributes

Name | Type | Default
linkend | IDREF | Required
label | CDATA | None

## Description

This element forms an IDREF link to a `Footnote`. It generates the same mark or link as the `Footnote` to which it points.

In technical documentation, `FootnoteRef` occurs most frequently in tables.

### Processing expectations

The `FootnoteRef` element usually generates the same mark as the `Footnote` to which it points, although its mark can be influenced by the `Label` attribute.

Neither SGML nor XML provide a mechnism (at this time) for asserting that some IDREF links must point to specific classes of elements. If a `FootnoteRef` points to something other than a `Footnote`, the parser will not report it as an error. It is an error nonetheless. Processing is undefined.

### Parents

These elements contain footnoteref: `application`, `attribution`, `bibliomisc`, `bridgehead`, `citation`, `citetitle`, `emphasis`, `entry`, `foreignphrase`, `glosssee`, `glossseealso`, `glossterm`, `lineannotation`, `link`, `literallayout`, `lotentry`, `member`, `msgaud`, `olink`, `para`, `phrase`, `primary`, `primaryie`, `productname`, `programlisting`, `quote`, `refentrytitle`, `refpurpose`, `remark`, `screen`, `screeninfo`, `secondary`, `secondaryie`, `see`, `seealso`, `seealsoie`, `seeie`, `seg`, `segtitle`, `simpara`, `subtitle`, `synopsis`, `term`, `tertiary`, `tertiaryie`, `title`, `titleabbrev`, `tocback`, `tocentry`, `tocfront`, `ulink`.

## Attributes

label

  `Label` identifies the desired footnote mark.

linkend

  `Linkend` points to the `Footnote` referenced.

## Examples

    <!DOCTYPE informaltable PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <informaltable>
    <tgroup cols='2'>
    <tbody>
    <row>
    <entry>foo<footnote id='fnrex1a'><para>A meaningless
    word</para></footnote></entry>
    <entry>3<footnote id='fnrex1b'><para>A meaningless
    number</para></footnote></entry>
    </row>
    <row>
    <entry>bar<footnoteref linkend='fnrex1a'/></entry>
    <entry>5<footnoteref linkend='fnrex1b'/></entry>
    </row>
    </tbody>
    </tgroup>
    </informaltable>

foo[a] | 3[b]
bar[a] | 5[b]
[a] A meaningless word [b] A meaningless number

Prev | Home | Next
footnote | Up | foreignphrase

Copyright© 1999, 2000, 2001 O'Reilly & Associates, Inc. All rights reserved.